#include <iostream>

import Rect;

// 1. (globales) Rechteck definieren
Rect Rect1(10,10,640,480);

// main() Funktion
int main()
{
   // 2. (lokales) Rechteck definieren
   Rect Rect2(100,50,800,600,0x80,0x80,0x80);
   // Rechteckdaten ausgeben
   std::cout << "1. Rechteck:\n";
   Rect1.DrawIt();
   std::cout << "2. Rechteck:\n";
   Rect2.DrawIt();
   // 1. Rechteck verschieben
   Rect1.Move(20,20);
   // 2. Rechteck vergrössern und Farbe abändern
   Rect2.Resize(1024,786);
   Rect2.setColor(0xC0, 0xC0, 0xC0);
   // Rechteckdaten ausgeben
   std::cout << "1. Rechteck:\n";
   Rect1.DrawIt();
   std::cout << "2. Rechteck:\n";
   Rect2.DrawIt();
}
